nxt.blockchain

## Class TransactionImpl.BuilderImpl

- java.lang.Object
- - nxt.blockchain.TransactionImpl.BuilderImpl

- All Implemented Interfaces:
    Transaction.Builder
  Direct Known Subclasses:
    ChildTransactionImpl.BuilderImpl, FxtTransactionImpl.BuilderImpl
  Enclosing class:
    TransactionImpl

      public abstract static class TransactionImpl.BuilderImpl
      extends java.lang.Object
      implements Transaction.Builder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionImpl.BuilderImpl` | `appendix(Appendix appendix)`
    `abstract TransactionImpl` | `build()`
    `abstract TransactionImpl` | `build(java.lang.String secretPhrase)`
    `TransactionImpl.BuilderImpl` | `ecBlockHeight(int height)`
    `TransactionImpl.BuilderImpl` | `ecBlockId(long blockId)`
    `TransactionImpl.BuilderImpl` | `height(int height)`
    `TransactionImpl.BuilderImpl` | `recipientId(long recipientId)`
    `TransactionImpl.BuilderImpl` | `timestamp(int timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.blockchain.Transaction.Builder

      `build`

- - ### Method Detail

    - #### build

          public abstract TransactionImpl build()
                                         throws NxtException.NotValidException

      Specified by:
        `build` in interface `Transaction.Builder`
      Throws:
        `NxtException.NotValidException`

    - #### build

          public abstract TransactionImpl build(java.lang.String secretPhrase)
                                         throws NxtException.NotValidException

      Specified by:
        `build` in interface `Transaction.Builder`
      Throws:
        `NxtException.NotValidException`

    - #### recipientId

          public final TransactionImpl.BuilderImpl recipientId(long recipientId)

      Specified by:
        `recipientId` in interface `Transaction.Builder`

    - #### appendix

          public final TransactionImpl.BuilderImpl appendix(Appendix appendix)

      Specified by:
        `appendix` in interface `Transaction.Builder`

    - #### timestamp

          public final TransactionImpl.BuilderImpl timestamp(int timestamp)

      Specified by:
        `timestamp` in interface `Transaction.Builder`

    - #### ecBlockHeight

          public final TransactionImpl.BuilderImpl ecBlockHeight(int height)

      Specified by:
        `ecBlockHeight` in interface `Transaction.Builder`

    - #### ecBlockId

          public final TransactionImpl.BuilderImpl ecBlockId(long blockId)

      Specified by:
        `ecBlockId` in interface `Transaction.Builder`

    - #### height

          public final TransactionImpl.BuilderImpl height(int height)